com.corticon.service.ccdeploy.exception

## Class CcDeployFileAlreadyExistsException

- java.lang.Object
- - CcException
  - - com.corticon.service.ccdeploy.exception.CcDeployException
    - - com.corticon.service.ccdeploy.exception.CcDeployFileAlreadyExistsException

- All Implemented Interfaces:
    java.io.Serializable

      public class CcDeployFileAlreadyExistsException
      extends CcDeployException
      implements java.io.Serializable

  `CcDeployInvalidArgumentException` is thrown if method call arguments contain invalid data.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcDeployFileAlreadyExistsException()`
    `CcDeployFileAlreadyExistsException(java.lang.Exception aparentException, java.lang.Object aobject)`
    `CcDeployFileAlreadyExistsException(java.lang.Exception aparentException, java.lang.String astrMessage)`
    `CcDeployFileAlreadyExistsException(java.lang.Exception aparentException, java.lang.String astrMessage, java.lang.Object aobject)`
    `CcDeployFileAlreadyExistsException(java.lang.String astrMessage)`
    `CcDeployFileAlreadyExistsException(java.lang.String astrMessage, java.lang.Object aobject)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CcDeployFileAlreadyExistsException

          public CcDeployFileAlreadyExistsException()

    - #### CcDeployFileAlreadyExistsException

          public CcDeployFileAlreadyExistsException(java.lang.String astrMessage)

    - #### CcDeployFileAlreadyExistsException

          public CcDeployFileAlreadyExistsException(java.lang.String astrMessage,
                                                    java.lang.Object aobject)

    - #### CcDeployFileAlreadyExistsException

          public CcDeployFileAlreadyExistsException(java.lang.Exception aparentException,
                                                    java.lang.String astrMessage)

    - #### CcDeployFileAlreadyExistsException

          public CcDeployFileAlreadyExistsException(java.lang.Exception aparentException,
                                                    java.lang.Object aobject)

    - #### CcDeployFileAlreadyExistsException

          public CcDeployFileAlreadyExistsException(java.lang.Exception aparentException,
                                                    java.lang.String astrMessage,
                                                    java.lang.Object aobject)

Copyright © 2005-2023 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.